[CentOS] what requires lm_sensors?

D Tucny d at tucny.com
Sat Apr 4 19:58:10 UTC 2009


2009/4/4 Kai Schaetzl <maillists at conactive.com>

> I found that lm_sensors got installed because of a dependency on my first
> Xen VM that I updated to 5.3. lm_sensors doesn't make sense in a VM. I
> thought, ok let's check after the update who wants it. However:
>
> rpm -q --whatrequires lm_sensors
> no package requires lm_sensors
>
> (same for --triggeredby with lm_sensors or the packages below)
>
> Trying to remove lm_sensors reveals these packages:
>
> Removing:
>  lm_sensors           i386         2.10.7-4.el5           installed
> 1.8 M
> Removing for dependencies:
>  cacti                noarch       0.8.7d-1.el5.rf        installed
> 5.1 M
>  net-snmp             i386         1:5.3.2.2-5.el5        installed
> 2.8 M
>  net-snmp-utils       i386         1:5.3.2.2-5.el5        installed
> 342 k
>  php-snmp             i386         5.1.6-23.el5           installed
> 24 k
>
> But trying to remove any of them doesn't show a dependency on lm_sensors.
>
> How can I find out what triggered the installation of lm_sensors in the
> upgrade?
>

rpm -q --provides lm_sensors
config(lm_sensors) = 2.10.7-4.el5
libsensors.so.3()(64bit)
lm_sensors = 2.10.7-4.el5

rpm -q --requires net-snmp
<snip>
libsensors.so.3()(64bit)
<snip>

requires are not always a package name...

d
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.centos.org/pipermail/centos/attachments/20090405/2ce566fc/attachment.html 


More information about the CentOS mailing list